package com.pcloud.book.book.dto;

import java.io.Serializable;


/**
 * 图书关联数据统计个数
 *
 * @author lili
 * @date 创建时间：2017年12月13日 下午6:57:29
 */
public class BookAssocCount implements Serializable {

    /**
     * 序列化
     */
    private static final long serialVersionUID = 6752122311955358387L;


    /**
     * 超级作品个数
     */
    private Integer superProCount;

    /**
     * 商品个数
     */
    private Integer productCount;

    /**
     * 应用个数
     */
    private Integer appCount;

    /**
     * 资源个数
     */
    private Integer resourceCount;

    public Integer getSuperProCount() {
        return superProCount;
    }

    public void setSuperProCount(Integer superProCount) {
        this.superProCount = superProCount;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public Integer getAppCount() {
        return appCount;
    }

    public void setAppCount(Integer appCount) {
        this.appCount = appCount;
    }

    public Integer getResourceCount() {
        return resourceCount;
    }

    public void setResourceCount(Integer resourceCount) {
        this.resourceCount = resourceCount;
    }

    @Override
    public String toString() {
        return "BookAssocCount [superProCount=" + superProCount + ", productCount=" + productCount + ", appCount="
                + appCount + ", resourceCount=" + resourceCount + "]";
    }

}
